Update declaration template
curl --request PATCH \
--url https://devapi.eazecustoms.com/staging/v1/declaration-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"declarationOffice": "<string>",
"incoterm": "<string>",
"incotermLocation": "<string>"
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/declaration-templates/{id}"
payload = {
"declarationOffice": "<string>",
"incoterm": "<string>",
"incotermLocation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
declarationOffice: '<string>',
incoterm: '<string>',
incotermLocation: '<string>'
})
};
fetch('https://devapi.eazecustoms.com/staging/v1/declaration-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 7,
"declarationOffice": "NL000510",
"incoterm": "DOP",
"incotermLocation": "Amsterdam Country",
"updatedAt": "2026-06-22T10:05:00.000Z"
}
Declaration Templates
Update declaration template
Update fields of an existing declaration template.
PATCH
/
v1
/
declaration-templates
/
{id}
Update declaration template
Update template fields. Only fields provided in the body will be changed.
Path parameters
number
required
The unique template ID.
Request payload
string
Updated customs office code.
string
Updated Incoterm code. Allowed values:
EXW, FCA, FAS, FOB, CFR, CIF, CPT, CIP, DAP, DPU, DDP, XXX.string
Updated Incoterm location.
JSON Payload
{
"declarationOffice": "NL000510",
"incoterm": "DOP",
"incotermLocation": "Amsterdam Country"
}
{
"id": 7,
"declarationOffice": "NL000510",
"incoterm": "DOP",
"incotermLocation": "Amsterdam Country",
"updatedAt": "2026-06-22T10:05:00.000Z"
}
⌘I